## com.saxonica.extra
Class AnalyzeStringFunction

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.FunctionCall
              net.sf.saxon.functions.SystemFunction
                  net.sf.saxon.functions.CompileTimeFunction
                      com.saxonica.extra.AnalyzeStringFunction

All Implemented Interfaces:
  Serializable, SourceLocator, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class AnalyzeStringFunction

extends CompileTimeFunction

This class implements the extension function saxon:analyze-string(). This is a higher order function that provides functionality similar to the XSLT 2.0 xsl:analyze-string instruction, but it works also in XQuery. The first argument is the string to be analyzed; the second is a string containing the regex. The third argument is a function to be invoked once for each matching substring; the fourth argument is a function to be invoked once for each non-matching substring. The fifth optional argument is the regular expression flags.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`AnalyzeStringFunction()`

Method Summary
`Expression` `simplify(StaticContext env)` Simplify the function call.

Methods inherited from class net.sf.saxon.functions.CompileTimeFunction
`evaluateItem, iterate, preEvaluate`

Methods inherited from class net.sf.saxon.functions.SystemFunction
`checkArguments, computeCardinality, computeSpecialProperties, display, getDetails, getErrorCodeForTypeErrors, getItemType, main, makeSystemFunction, optimize, setDetails`

Methods inherited from class net.sf.saxon.expr.FunctionCall
`getArguments, getDisplayName, getFunctionNameCode, getNumberOfArguments, iterateSubExpressions, promote, replaceSubExpression, setArguments, setFunctionNameCode, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression

`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getContainingProcedure, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, markTailFunctionCalls, process, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, suppressValidation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyzeStringFunction

    public AnalyzeStringFunction()

Method Detail

### simplify

    public Expression simplify(StaticContext env)
                        throws XPathException

  Description copied from class: `FunctionCall`
  Simplify the function call. Default method is to simplify each of the supplied arguments and evaluate the function if all are now known.

  Overrides:
    `simplify` in class `FunctionCall`
  Returns:
    the simplified expression
  Throws:
    `XPathException` - if an error is discovered during expression rewriting

Copyright (C) Michael H. Kay. All rights reserved.